petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecGetSubVector

Gets a vector representing part of another vector

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecGetSubVector(Vec X,IS is,Vec *Y)

Collective on IS (and Vec if nonlocal entries are needed) Many br

### Input Arguments

| X | - vector from which to extract a subvector Many br
| is | - index set representing portion of X to extract Many br

### Output Arguments

Y -subvector corresponding to is Many br

Many br

### Notes

The subvector Y should be returned with VecRestoreSubVector(). Many br

This function may return a subvector without making a copy, therefore it is not safe to use the original vector while Many brmodifying the subvector. Other non-overlapping subvectors can still be obtained from X using this function. Many br

### See Also

MatGetSubMatrix()

Level:advanced
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex70.c.html